import { CompositeSpecification } from "@repo/rdx-ddd";
import { CustomerInvoice } from "../aggregates";

export class CustomerInvoiceIsProformaSpecification extends CompositeSpecification<CustomerInvoice> {
  public async isSatisfiedBy(proforma: CustomerInvoice): Promise<boolean> {
    return proforma.isProforma;
  }
}
